<?php
/**
 * User: 呆呆
 * Agreement: 禁止使用本软件（系统）用于任何违法违规业务或项目,造成的任何法律后果允由使用者（或运营者）承担
 * Date: 2021/3/3
 * Time: 14:34
 */
namespace app\common\mq_gqqyjk\controller;//跟目录路径一样
use think\Db;
use think\Controller;

class Index extends Controller
{
    public function getReturn($code = 1, $data = "成功", $json = null)//系统需，要不要动
    {
        return array("code" => $code, "data" => $data, "json" => $json);
    }

    public function Cookie($atad)//监控心跳
    {
        error_reporting(0);
        $zhanghao = $atad['zhanghao'];//通道账号
        $Cookie = $atad['ck'];//通道CK数据
        
        $cache = tohc('Heart');
		$post = array(
            'game_dm' => 'qq_gck',//通道标识
            'type' => 'QQHeartBeat',//传出类型
            'post' => array(//传出数据
                    'ck' => $Cookie,//QQ设备
                )
        );
		$ret = curl_post($cache->get('ds_yjkrul'),http_build_query(ydqu($post)));
		$json = json_decode($ret,true);
		if($ret){
		    if($json['code']==-1){
                $code = -1;
                $data = $json['msg'];
            }else{
                $code = 1;
                $data = $json['msg']."余额：".$json['data']['money']." 元";
            }
		}else{
		    $code = 1;
            $data = '服务器终端无响应';
		}
        return $this->getReturn($code,$data,array("time"=>time(),"cookie"=>$Cookie));
    }
    
    public function cehsald($atad)//监控回调
    {
        $sz = Db::name("pay_sz")->find();
        $row = Db::name("pay_gfg")->where("pid", $atad['pid'])->where("mid",$atad['mid'])->find();
        $cache = tohc('mq_gqqyjk');//通道缓存
        $res = $cache->get($row['zhanghao']);
        if(!$res){
            return $this->getReturn(-1,'交易失败', $atad); 
        }
        $json = json_decode($res,TRUE);
        if($json['code']=="1"){
            if($json['data']['data']){
                if($row['bf']==2){
                    foreach ($json['data']['data'] as $json) {
                        if($json['pay_bz']==$atad['pay_id']){
                            return $this->getReturn(1,'交易成功', $atad);
                        }else{
                            return $this->getReturn(-1,'交易失败', $atad);
                        }
                    }
                }else{
                    foreach ($json['data']['data'] as $json){
                        if(strtotime($json['pay_date']) > $atad['create_date']){
                            if($json['pay_id']!=$atad['pay_id'] and $json['money']==$atad['price']){
                                $rof = Db::name("pay_order")->where("pid",$atad['pid'])->where("price",$json['money'])->where("order_id",$atad['order_id'])->where("state",1)->update(array("pay_id"=>$json['pay_id']));
                                if($rof){
                                    return $this->getReturn(1,'交易成功', $atad);
                                }else{
                                    return $this->getReturn(-1,'交易失败', $atad);
                                }
                            }
                        }else{
                            return $this->getReturn(-1,'交易失败', $atad);
                        }
                    }
                }
            }else{
                return $this->getReturn(-1,'交易失败', $atad);
            }
        }else{
            return $this->getReturn(-1,$json['msg'], $atad); 
        }
    }
    
    public function fukyem($data)//支付页面
    {
        $sz = Db::name("pay_sz")->find();
        $atad= Db::name("pay_gfg")->where("pid", $data['pid'])->where("mid", $data['mid'])->find();
        $user = Db::name("pay_user")->where("id", $data['pid'])->find();
        $data['timeOut'] = $user['bug_close'];//订单有效期
        
        if($data['type']=='qq'){//QQ
            $data['money'] = $data['price'];//实际金额
            $data['src'] = url('enQrcode').'?url='.$data['mid_url'];//二维码
            $data['mid_url'] = $data['mid_json'];//H5转跳链接
            // 模板变量赋值
            $data['luji'] = iphtml('pay');//模板路径
            $this->assign('data',$data);
            return $this->fetch(ippublic('pay').'/index.html');
        }
    }
    
    public function exec($api,$atad,$money,$type)//拉起支付
    {
        $atad['data'] = '';//通道监控数据
        $atad['pay_id'] = time();//通道订单号
        $atad['mid_url'] = urlencode($atad['bfbf']);//通道二维码
        return $this->getReturn(1, $atad, $atad['data']);
    }
    
}